%{!?python3: %global python3 %{__python3}}

Name:           rpmlint
Version:        2.6.1
Release:        0.20241104141315301270.pr1293.92.g000ff220%{?dist}
Summary:        Tool for checking common errors in RPM packages

License:        GPLv2+
URL:            https://github.com/rpm-software-management/rpmlint
Source0:        rpmlint-2.6.1.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if 0%{?suse_version}
# Unfortunately, these don't get pulled in automatically...
BuildRequires:  python-rpm-macros
BuildRequires:  python3-setuptools
# For tests
BuildRequires:  python3-python-magic
BuildRequires:  python3-pybeam
BuildRequires:  python3-pyenchant
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-pytest-xdist
BuildRequires:  python3-pyxdg
BuildRequires:  python3-rpm
BuildRequires:  python3-tomli
BuildRequires:  python3-tomli-w
BuildRequires:  python3-zstandard
BuildRequires:  python3-packaging
%else
BuildRequires:  python3dist(setuptools)
# For tests
BuildRequires:  python3dist(file-magic)
BuildRequires:  python3dist(pybeam)
BuildRequires:  python3dist(pyenchant)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-xdist)
BuildRequires:  python3dist(pyxdg)
BuildRequires:  python3dist(rpm)
BuildRequires:  (python3dist(tomli) if python3 < 3.11)
BuildRequires:  python3dist(tomli-w)
BuildRequires:  python3dist(zstandard)
BuildRequires:  python3dist(packaging)
%endif

# Rest of the test dependencies
BuildRequires:  dash
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/checkbashisms
BuildRequires:  /usr/bin/desktop-file-validate

%if 0%{?suse_version}
BuildRequires:  myspell-en_US
BuildRequires:  myspell-cs_CZ
BuildRequires:  myspell-fr_FR
%else
BuildRequires:  hunspell-en
BuildRequires:  hunspell-cs
BuildRequires:  hunspell-fr
%endif

%if 0%{?fedora} || 0%{?rhel} >= 8
BuildRequires:  glibc-langpack-en
%endif

%if 0%{?suse_version}
BuildRequires:  glibc-locale-base
%endif

%if 0%{?mageia}
BuildRequires:  locales-en
%endif

Requires:       /bin/bash
Requires:       /usr/bin/appstream-util
Requires:       /usr/bin/bzip2
Requires:       /usr/bin/checkbashisms
Requires:       /usr/bin/cpio
Requires:       /usr/bin/desktop-file-validate
Requires:       /usr/bin/groff
Requires:       /usr/bin/gtbl
Requires:       /usr/bin/ldd
Requires:       /usr/bin/man
Requires:       /usr/bin/perl
Requires:       /usr/bin/readelf
Requires:       /usr/bin/xz
Requires:       /usr/bin/zstd

# Enable Python dependency generation
%{?python_enable_dependency_generator}

%description
rpmlint is a tool for checking common errors in RPM packages. Binary
and source packages as well as spec files can be checked.


%prep
%autosetup -n rpmlint-2.6.1


%build
%py3_build


%install
%py3_install


%check
%python3 -m pytest


%files
%license COPYING
%doc README*
%{_bindir}/rpmlint
%{_bindir}/rpmdiff
%{python3_sitelib}/rpmlint*


%changelog
* Mon Nov 04 2024 Packit <hello@packit.dev> - 2.6.1-0.20241104141315301270.pr1293.92.g000ff220
- SpecCheck: Update suse-update-desktop-file-deprecated message (Daniel Garcia Moreno)
- FilesCheck: Do not error about non-readable %ghost (Daniel Garcia Moreno)
- test: Mocking TagsCheck binaries (Daniel Garcia Moreno)
- CI: exclude test/files from pyupgrade (Daniel Garcia Moreno)
- test: exclude test files from ruff check (Daniel Garcia Moreno)
- test: Fix flake8 issues (Daniel Garcia Moreno)
- flake8: Skip test files from flake8 (Daniel Garcia Moreno)
- test: Move doc pacakges to mock (Daniel Garcia Moreno)
- test: Normalize mock_zypp_syntax (Daniel Garcia Moreno)
- test: Normalize mock_xinetd (Daniel Garcia Moreno)
- test: Normalize mock_tmp_files (Daniel Garcia Moreno)
- test: Normalize mock_sysvinitonsystemd (Daniel Garcia Moreno)
- test: Normalize mock_shlib_policy (Daniel Garcia Moreno)
- test: Normalize mock_pkgconfig (Daniel Garcia Moreno)
- test: Normalize mock_pam_modules (Daniel Garcia Moreno)
- test: Normalize mock_mixed_ownership (Daniel Garcia Moreno)
- test: Normalize mock_menuxdg (Daniel Garcia Moreno)
- test: Normalize mock_LSB (Daniel Garcia Moreno)
- test: Remove not needed mock_lib_dependency.py (Daniel Garcia Moreno)
- test: Normalize mock_icon_sizes (Daniel Garcia Moreno)
- test: Normalize mock_i18n (Daniel Garcia Moreno)
- test: Normalize mock_files (Daniel Garcia Moreno)
- test: Normalize mock_FHS (Daniel Garcia Moreno)
- test: Normalize mock_erlang.py (Daniel Garcia Moreno)
- test: Normalize mock_dbus_policy.py (Daniel Garcia Moreno)
- test: Replace logrotate rpm with mock (Daniel Garcia Moreno)
- test: Normalize mock_config_files (Daniel Garcia Moreno)
- test: Normalize mock_build_root (Daniel Garcia Moreno)
- test: Normalize mock_build_date (Daniel Garcia Moreno)
- test: Normalize mock_bashisms (Daniel Garcia Moreno)
- test: Normalize mock_appdata (Daniel Garcia Moreno)
- test: Use skipif instead of early return in test_extract_fail (Daniel Garcia Moreno)
- Remove fPing binary not needed anymore (Daniel Garcia Moreno)
- openSUSE: strict policy to ERR on patch-macro-old-format (Daniel Garcia Moreno)
- Add traefik user and group (Johannes Weberhofer)
- Add new warning about the usage of %suse_update_desktop_file (Daniel Garcia Moreno)
- test: Fix test_extract_fail when running as root (Daniel Garcia Moreno)
- Update users-groups.toml 3proxy (#1267) (Илья Индиго)
- Add user and group sssd (Samuel Cabrero)
- Test: Add missing test file for test_files.py (Daniel Garcia Moreno)
- Remove not needed binary rpm (Luz Marina)
- Replace bin in test_files.py (Luz Marina)
- Replace bin in test_shlib_policy.py (Luz Marina)
- Rewrite test_extract to *_fail variant that tests an expected failure in rpm2cpio (Daniel Mach)
- Exclude python311-pytest-xprocess from test_lint because rpm2cpio fails on it (Daniel Mach)
- Remove test_directory_without_x_permission2 test (Daniel Mach)
- Don't mask rpm2cpio failure in Pkg._extract_rpm() (Daniel Mach)
- Replace bin in test_icon_sizes.py (Luz Marina)
- Replace bin in test_build_date.py (Luz Marina)
- Replace bin in test_bashisms.py (Luz Marina)
- test: Add bad unicode desktop file (Daniel Garcia Moreno)
- Delete not needed test files (Daniel Garcia Moreno)
- Replace bin in test_LSB.py (Luz Marina)
- Replace bin in test_pam_modules.py (Luz Marina)
- Replace bin in test_sysvinitonsystemd.py (Luz Marina)
- Delete not needed test files (Daniel Garcia Moreno)
- Replace bin in test_menuxdg.py in the absence of the penultimate test that must be corrected (Luz Marina)
- Replace bin in test_menuxdg.py (Luz Marina)
- Replace bin in test_pkgconfig.py (Luz Marina)
- Replace bin in test_FHS.py (Luz Marina)
- Remove not needed test files (Daniel Garcia Moreno)
- Replace bin in test_mixed_ownership.py (Luz Marina)
- Replace bin in test_build_root.py (Luz Marina)
- Replace bin in test_dbus_policy.py (Luz Marina)
- Fix for bug detected in test_appdata.py (Luz Marina)
- Replace bin in test_appdata.py (Luz Marina)
- Remove not needed binary files. (Luz Marina)
- Replace bin in test_lib_dependency.py (Luz Marina)
- Replace bin in test_erlang.py (Luz Marina)
- Delete not needed files (danigm)
- Update users-groups.toml (Scott Bradnick)
- Replace bin in test_mixed_ownership.py (Luz Marina)
